Bug 163315 - FC2 raid-1 boot partition not found by FC4 installer for upgrading
FC2 raid-1 boot partition not found by FC4 installer for upgrading
Status: CLOSED DUPLICATE of bug 163314
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 20:22 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-15 07:43:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-07-14 20:22:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412.6 (KHTML, like Gecko) Safari/412.2

Description of problem:
I have an installation of Fedora Core 4 on a Xeon system with dual SATA drives. The machine was installed 
in FC2 with RAID-1 partitions for /boot, /, /var. /home and swap. When I attempted to upgrade this
machine to FC4 today, the md root partition was found for upgrading and all the partitions were mounted 
by anaconda (according to df in a virtual terminal). However the /boot partition is not found for upgrading 
by anaconda in the Upgrade Boot partition section. Is this a known bug in anaconda? How am I supposed 
to upgrade such a system since the only options I am given is to skip upgrading the boot partition or to 
create a new boot partition (the upgrade the boot partition option is dimmed).
             Jack

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC2 with raid-1 partitions for /, /home, /boot, /var and swap.
2. Attempt to upgrade install FC4 on this machine.


Actual Results:  The Upgrade the Boot Loader step could not find a boot partition to upgrade despite the md for the /boot 
partition having been mounted by anaconda in the previous step.

Expected Results:  The /boot partition should have been found for upgrading by anaconda despite it being on a RAID-1 
partititon.

Additional info:
Comment 1 Jeremy Katz 2005-07-15 07:43:17 EDT

*** This bug has been marked as a duplicate of 163314 ***

Note You need to log in before you can comment on or make changes to this bug.